Returns a weekly summary of logged time for the specified reporting period.
curl --request POST \
--url https://{install}/api/insight/report/time-week-summary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://{install}/api/insight/report/time-week-summary"
payload = {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({startDate: '2023-11-07T05:31:56Z', endDate: '2023-11-07T05:31:56Z'})
};
fetch('https://{install}/api/insight/report/time-week-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/insight/report/time-week-summary");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"endDate\": \"2023-11-07T05:31:56Z\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
[
{
"year": 123,
"week": 123,
"label": "<string>",
"totalHours": 123,
"billableHours": 123,
"nonBillableHours": 123
}
]Insights & Reports
Returns a weekly summary of logged time for the specified reporting period.
POST
/
api
/
insight
/
report
/
time-week-summary
Returns a weekly summary of logged time for the specified reporting period.
Authorizations
JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
Body
application/jsonapplication/*+json
The date range and filter criteria for the report.
Returns time code distribution data for the specified reporting period.
Previous
Lists all scheduled notification configurations for the current tenant.
Next
⌘I